{% load i18n widget_tweaks %}
{% include "head.html" %}

<div class="container-fluid" style="padding: 0;">
    {% include "navbar.html" %}

    <div class="row" style="margin: .5em;">
        <div class="col-sm-12">
            <h2>Create new server</h2>

            <form method="POST">{% csrf_token %}
                <div class="card">
                    <div class="card-block uniForm" style="padding: 1em">
                        <h3 class="card-title">Certificate data</h3>
                        <div class="form-group">
                        <label for="{{ form.domain.name }}">Domain</label>
                        {{ form.domain | attr:"class:form-control" }}
                        <br>
                        <label for="{{ form.country.name }}">Country code</label>
                        {{ form.country | attr:"class:form-control" }}
                        <br>
                        <label for="{{ form.province.name }}">Province</label>
                        {{ form.province | attr:"class:form-control" }}
                        <br>
                        <label for="{{ form.city.name }}">City</label>
                        {{ form.city | attr:"class:form-control" }}
                        <br>
                        <label for="{{ form.orginization.name }}">Organization</label>
                        {{ form.orginization | attr:"class:form-control" }}
                        <br>
                        <label for="{{ form.orginizational_unit.name }}">Organizational unit</label>
                        {{ form.orginizational_unit | attr:"class:form-control" }}
                        <br>
                        <label for="{{ form.email.name }}">Email address</label>
                        {{ form.email | attr:"class:form-control" }}
                        </div>
                    </div>
                </div>
                <div class="card" style="margin-top: 1.5em">
                        <div class="card-block" style="padding: 1em">
                            <h3 class="card-title">Server data</h3>
                            <div class="form-group">
                                <label for="{{ form.name.name }}">Server name</label>
                                {{ form.name | attr:"class:form-control" }}
                                <br>
                                <label for="{{ form.port.name }}">Server Port</label>
                                {{ form.port | attr:"class:form-control" }}
                                <br>
                                <label for="{{ form.key_size.name }}">Key Size</label>
                                {{ form.key_size | attr:"class:form-control" }}
                                <br>
                                <label for="{{ form.dh_size.name }}">DH Size</label>
                                {{ form.dh_size | attr:"class:form-control" }}
                                <br>
                            </div>
                        </div>
                    </div>
                <button type="submit" class="btn btn-primary">Submit</button>
            </form>
        </div>
    </div>
    
</div>